com.jscape.inet.vfs

## Class DomainAdministration

- java.lang.Object
- - com.jscape.inet.vfs.DomainAdministration

-     public class DomainAdministration
      extends java.lang.Object

  Defines domain administration properties for a user account.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainAdministration()` Used by serialization subsystem.
    `DomainAdministration(DomainAdministration that)` Creates a new administration instance.
    `DomainAdministration(java.lang.Integer maxOwnedCount, boolean manageNonOwned, boolean allowGroupAssignment, boolean allowResourceMapping, java.lang.String restrictDir, boolean shareQuotas, boolean allowSetPhoneAuth, boolean allowUrlBranding, java.lang.Integer maxUrlBrandings, boolean allowDropZone, java.lang.Integer maxDropZones, boolean allowManagePublicContact, boolean allowSystemPgpKeyAssignment, boolean userPasswordChangingAllowed, java.lang.String[] allowedTemplates)` Creates a new administration instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAllowedTemplates()` Returns the allowed templates.
    `java.lang.Integer` | `getMaxDropZones()` Returns maximum drop zones user can manage.
    `java.lang.Integer` | `getMaxOwnedCount()` Gets maximum number of accounts that may be owned.
    `java.lang.Integer` | `getMaxUrlBrandings()` Returns max URL brandings user can edit.
    `java.lang.String` | `getRestrictDir()` Gets absolute path of directory that account may assign to account virtual paths.
    `boolean` | `isAllowDropZone()` Returns an ability for creating/managing drop zones.
    `boolean` | `isAllowGroupAssignment()` Gets whether account can assign a group to accounts.
    `boolean` | `isAllowManagePublicContact()` Returns whether an account is allowed create/manage public contact.
    `boolean` | `isAllowResourceMapping()` Sets whether account can assign a network storage to an account virtual path.
    `boolean` | `isAllowSetPhoneAuth()` Returns whether user able to set phone authentication to account.
    `boolean` | `isAllowSystemPgpKeyAssignment()` Returns whether an account is allowed to assign system OpenPGP keys to virtual directories when enabling PGP encryption for a virtual directory.
    `boolean` | `isAllowUrlBranding()` Returns user ability to edit URL brandings.
    `boolean` | `isManageNonOwned()` Gets whether account can manage non-owned accounts.
    `boolean` | `isShareQuotas()` Gets whether traffic of owned users is rolled up to this account quota.
    `boolean` | `isUserPasswordChangingAllowed()`
    `void` | `setAllowDropZone(boolean value)` Sets an ability for creating/managing drop zones.
    `void` | `setAllowedTemplates(java.lang.String[] value)` Sets the allowed templates.
    `void` | `setAllowGroupAssignment(boolean value)` Sets whether account can assign a group to accounts.
    `void` | `setAllowManagePublicContact(boolean value)` Sets whether an account can create/manage public contact.
    `void` | `setAllowResourceMapping(boolean value)` Gets whether account can assign a network storage to an account virtual path.
    `void` | `setAllowSetPhoneAuth(boolean value)` Sets wheter user able to set phone authentication to account.
    `void` | `setAllowSystemPgpKeyAssignment(boolean value)` Sets whether an account is allowed to assign system OpenPGP keys to virtual directories when enabling PGP encryption for a virtual directory.
    `void` | `setAllowUrlBranding(boolean value)` Sets user ability to edit URL brandings.
    `void` | `setManageNonOwned(boolean value)` Sets whether account can manage non-owned accounts.
    `void` | `setMaxDropZones(java.lang.Integer value)` Sets maximum drop zones user can manage.
    `void` | `setMaxOwnedCount(java.lang.Integer count)` Sets maximum number of accounts that may be owned.
    `void` | `setMaxUrlBrandings(java.lang.Integer value)` Sets max URL brandings user can edit.
    `void` | `setRestrictDir(java.lang.String dir)` Gets absolute path of directory that account may assign to account virtual paths.
    `void` | `setShareQuotas(boolean share)` Sets whether traffic of owned users is rolled up to this account quota.
    `void` | `setUserPasswordChangingAllowed(boolean value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainAdministration

          public DomainAdministration(java.lang.Integer maxOwnedCount,
                                      boolean manageNonOwned,
                                      boolean allowGroupAssignment,
                                      boolean allowResourceMapping,
                                      java.lang.String restrictDir,
                                      boolean shareQuotas,
                                      boolean allowSetPhoneAuth,
                                      boolean allowUrlBranding,
                                      java.lang.Integer maxUrlBrandings,
                                      boolean allowDropZone,
                                      java.lang.Integer maxDropZones,
                                      boolean allowManagePublicContact,
                                      boolean allowSystemPgpKeyAssignment,
                                      boolean userPasswordChangingAllowed,
                                      java.lang.String[] allowedTemplates)

      Creates a new administration instance.
      Parameters:
        `maxOwnedCount` - maximum number of accounts that may be owned
        `manageNonOwned` - whether account can manage non-owned accounts
        `allowGroupAssignment` - whether account can assign a group to accounts
        `allowResourceMapping` - whether account can assign a network storage to an account virtual path
        `restrictDir` - bsolute path of directory that account may assign to account virtual paths
        `shareQuotas` - whether traffic of owned users is rolled up to this account quota
        `allowSetPhoneAuth` - wheter user able to set phone authentication to account
        `allowUrlBranding` - user ability to edit URL brandings
        `maxUrlBrandings` - max URL brandings user can edit
        `allowDropZone` - ability for creating/managing drop zones.
        `maxDropZones` - max drop zone user can manage
        `allowManagePublicContact` - ability for creating/managing public contacts
        `allowSystemPgpKeyAssignment` - whether account can assign system OpenPGP keys

    - #### DomainAdministration

          public DomainAdministration(DomainAdministration that)

      Creates a new administration instance.
      Parameters:
        `that` - copy constructor

    - #### DomainAdministration

          public DomainAdministration()

      Used by serialization subsystem.

  - ### Method Detail

    - #### getMaxOwnedCount

          public java.lang.Integer getMaxOwnedCount()

      Gets maximum number of accounts that may be owned.
      Returns:
        max accounts

    - #### setMaxOwnedCount

          public void setMaxOwnedCount(java.lang.Integer count)

      Sets maximum number of accounts that may be owned.
      Parameters:
        `count` - max accounts

    - #### isManageNonOwned

          public boolean isManageNonOwned()

      Gets whether account can manage non-owned accounts.
      Returns:
        true if can managed non-owned accounts, false otherwise

    - #### setManageNonOwned

          public void setManageNonOwned(boolean value)

      Sets whether account can manage non-owned accounts.
      Parameters:
        `value` - true if can manage non-owned accounts, false otherwise

    - #### isAllowGroupAssignment

          public boolean isAllowGroupAssignment()

      Gets whether account can assign a group to accounts.
      Returns:
        true if can assign, false otherwise

    - #### setAllowGroupAssignment

          public void setAllowGroupAssignment(boolean value)

      Sets whether account can assign a group to accounts.
      Parameters:
        `value` - true if can assign, false otherwise

    - #### isAllowResourceMapping

          public boolean isAllowResourceMapping()

      Sets whether account can assign a network storage to an account virtual path.
      Returns:
        true if can assign a network storage, false otherwise

    - #### setAllowResourceMapping

          public void setAllowResourceMapping(boolean value)

      Gets whether account can assign a network storage to an account virtual path.
      Parameters:
        `value` - true if can assign a network storage, false otherwise

    - #### getRestrictDir

          public java.lang.String getRestrictDir()

      Gets absolute path of directory that account may assign to account virtual paths.
      Returns:
        absolute directory path

    - #### setRestrictDir

          public void setRestrictDir(java.lang.String dir)

      Gets absolute path of directory that account may assign to account virtual paths.
      Parameters:
        `dir` - absolute directory path

    - #### isShareQuotas

          public boolean isShareQuotas()

      Gets whether traffic of owned users is rolled up to this account quota.
      Returns:
        true if traffic is rolled up, false otherwise

    - #### setShareQuotas

          public void setShareQuotas(boolean share)

      Sets whether traffic of owned users is rolled up to this account quota.
      Parameters:
        `share` - true if traffic is rolled up, false otherwise.

    - #### isAllowSetPhoneAuth

          public boolean isAllowSetPhoneAuth()

      Returns whether user able to set phone authentication to account.
      Returns:
        `true` if it can set; `false` otherwise

    - #### setAllowSetPhoneAuth

          public void setAllowSetPhoneAuth(boolean value)

      Sets wheter user able to set phone authentication to account.
      Parameters:
        `value` - `true` if it can set; `false` otherwise

    - #### isAllowUrlBranding

          public boolean isAllowUrlBranding()

      Returns user ability to edit URL brandings.
      Returns:
        `true` if user is allowed to edit URL brandings; `false` otherise

    - #### setAllowUrlBranding

          public void setAllowUrlBranding(boolean value)

      Sets user ability to edit URL brandings.
      Parameters:
        `value` - if `true` user is allowed to edit URL brandings

    - #### getMaxUrlBrandings

          public java.lang.Integer getMaxUrlBrandings()

      Returns max URL brandings user can edit.
      Returns:
        max URL brandings user can edit

    - #### setMaxUrlBrandings

          public void setMaxUrlBrandings(java.lang.Integer value)

      Sets max URL brandings user can edit.
      Parameters:
        `value` - max URL brandings user can edit

    - #### isAllowDropZone

          public boolean isAllowDropZone()

      Returns an ability for creating/managing drop zones.
      Returns:
        `true` if user allowed to manage drop zones; `false` otherwise

    - #### setAllowDropZone

          public void setAllowDropZone(boolean value)

      Sets an ability for creating/managing drop zones.
      Parameters:
        `value` - `true` if allowed to manage drop zones

    - #### getMaxDropZones

          public java.lang.Integer getMaxDropZones()

      Returns maximum drop zones user can manage.
      Returns:
        max drop zones user can manage

    - #### setMaxDropZones

          public void setMaxDropZones(java.lang.Integer value)

      Sets maximum drop zones user can manage.
      Parameters:
        `value` - max drop zones user can manage

    - #### isAllowManagePublicContact

          public boolean isAllowManagePublicContact()

      Returns whether an account is allowed create/manage public contact.
      Returns:
        `true` if allowed create/manage public account; `false` otherwise

    - #### setAllowManagePublicContact

          public void setAllowManagePublicContact(boolean value)

      Sets whether an account can create/manage public contact.
      Parameters:
        `value` - `true` if allowed create/manage public account; `false` otherwise

    - #### isAllowSystemPgpKeyAssignment

          public boolean isAllowSystemPgpKeyAssignment()

      Returns whether an account is allowed to assign system OpenPGP keys to virtual directories when enabling PGP encryption for a virtual directory.
      Returns:
        `true` if allowed system OpenPGP key assignment; `false` otherwise

    - #### setAllowSystemPgpKeyAssignment

          public void setAllowSystemPgpKeyAssignment(boolean value)

      Sets whether an account is allowed to assign system OpenPGP keys to virtual directories when enabling PGP encryption for a virtual directory.
      Parameters:
        `value` - `true` if allowed system OpenPGP key assignment; `false` otherwise

    - #### isUserPasswordChangingAllowed

          public boolean isUserPasswordChangingAllowed()

    - #### setUserPasswordChangingAllowed

          public void setUserPasswordChangingAllowed(boolean value)

    - #### getAllowedTemplates

          public java.lang.String[] getAllowedTemplates()

      Returns the allowed templates.
      Returns:
        the allowed templates

    - #### setAllowedTemplates

          public void setAllowedTemplates(java.lang.String[] value)

      Sets the allowed templates.
      Parameters:
        `value` - the allowed templates

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved